Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 198691 - [70cat] NullPointerException at org.openide.loaders.MultiDataObject.removeAllInvalid
[70cat] NullPointerException at org.openide.loaders.MultiDataObject.removeAll...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Jaroslav Tulach
issues@platform
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 01:32 UTC by alied
Modified: 2011-06-05 14:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.11 KB, text/plain)
2011-05-18 01:32 UTC, alied
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alied 2011-05-18 01:32:06 UTC
Build: Reno Design 2010
VM: Java HotSpot(TM) 64-Bit Server VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: Linux

User Comments:
alied: This is from a app. started to happen when migrated from WinXP32 to Debian 64 SMP-enabled (AMDIIx2)
This was already sent to the dev-list:
Hi all there
I was developing a application with NB7 on windowsXPSP3 32. After a
upgrade I switched to Linux (Debian 64). Now, every time I run my app
and show the project Window I got this exception:
java.lang.NullPointerException
	at
org.openide.loaders.MultiDataObject.removeAllInvalid(MultiDataObject.java:407)
	at
org.openide.loaders.MultiDataObject.secondaryEntries(MultiDataObject.java:376)
	at org.openide.loaders.FilesSet.doLazyWork(FilesSet.java:100)
	at org.openide.loaders.FilesSet.getDelegate(FilesSet.java:112)
	at org.openide.loaders.FilesSet.toArray(FilesSet.java:188)
	at
org.openide.loaders.MultiDataObject.updateFilesInCookieSet(MultiDataObject.java:1335)
	at org.openide.loaders.MultiDataObject$1.run(MultiDataObject.java:956)
Caused: org.openide.util.RequestProcessor$SlowItem: task failed due to
	at org.openide.util.RequestProcessor.post(




Stacktrace: 
java.lang.NullPointerException
   at org.openide.loaders.MultiDataObject.removeAllInvalid(MultiDataObject.java:407)
   at org.openide.loaders.MultiDataObject.secondaryEntries(MultiDataObject.java:376)
   at org.openide.loaders.FilesSet.doLazyWork(FilesSet.java:100)
   at org.openide.loaders.FilesSet.getDelegate(FilesSet.java:112)
   at org.openide.loaders.FilesSet.toArray(FilesSet.java:188)
   at org.openide.loaders.MultiDataObject.updateFilesInCookieSet(MultiDataObject.java:1335)
Comment 1 alied 2011-05-18 01:32:10 UTC
Created attachment 108370 [details]
stacktrace
Comment 2 alied 2011-05-18 01:37:59 UTC
Product Version: NetBeans IDE 7.0 (Build 201104080000)
Java: 1.6.0_25; Java HotSpot(TM) 64-Bit Server VM 20.0-b11
System: Linux version 2.6.38.5 running on amd64; UTF-8; es_AR (nb)
Userdir: /home/alied/.netbeans/7.0
Comment 3 Jaroslav Tulach 2011-06-04 15:17:40 UTC
ergonomics#1af35c287c58
Comment 4 Quality Engineering 2011-06-05 14:04:47 UTC
Integrated into 'main-golden', will be available in build *201106051000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1af35c287c58
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #198691: Check for null


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo